Flee Below Pilot Standing Bug
2017-11-23 12:56 AM - Nerumph

Status: Resolved
Priority: Normal
Assignee:

Category:

Target version:

vbulletin_issue_id:

Description

| am assuming that the pilot standing flee tick works by entering a specific number into the pilot standing entry, and, when a pilot
below this threshold is detected, will send a flee command to the ship.

Currently, when | enter any number above 0 into this field, the script will send a flee flag when it detects any person in the system
(including corp members, alliance members, excellent and good standing contacts, and even its own fleet members).

Due to the nature of low and nullsec, it is quite important to have neutral targets pegged as enemies. In the intel monitor, players are
listed in order of:

3 Neutral, 5 excellent standing, 6 Alliance/ Corp, 8 Fleet, 9 Self.

| believe Pilot Standing should to follow this heiarchy as well.

History

#1 - 2018-01-01 08:50 AM - bjcasey

- Status changed from New to In Progress

AstroBot groups Self, Corp and Alliance together.

So if you had someone tagged as +10 for the pilot, their corp and alliance would still be 0. If in AstroBot you set the standing to flee at < 10, it would
flee because the corp or alliance value is 0.

Anyone have suggestions on how | should handle that?

What if you set a pilot as +10, but your corp sets their corp as -10?

I'm looking into a way to handle this.

#2 - 2018-01-07 02:29 PM - bjcasey

- Status changed from In Progress to Resolved

This will be resolved in version .oz
